Copyright: 0.90 (preview version)


TQIOrderDialog component

Acts as an editor for the Fields.Ordering property of the TQueryInfo component, building the information required for the SQL "ORDER BY" clause.

A field is selected from list obtained from all fields defined in QueryInfo where FieldUsageFieldUsage contains the uaOrder attribute, using the defined UserName.

Selected available fields are moved between available fields and sort fields list boxes via

the include and exclude buttons, drop-drop or double-click.

Sort direction is specified via colored arrow (use toggle direction button to toggle).

Use move buttons or drag-drop to re-order.

properties

Caption, ModalResult, QueryInfo, MaxItems, ShowGlyphs, SortFields, AscArrowColor, DescArrowColor

methods

Execute

files

qiOrder.dcu/dfm	unit & form resource

qiOrder.hlp	hypertext help reference (this file)


Execute method

Shows the dialog modaly. Returns True if OK button pressed (mrOK).

declaration

function Execute: Boolean


Caption property

Appears as the dialog’s caption.

type

string

stage

design time 	run time

access

read 	write


ShowGyphs property
ShowGlyphs property

Specifies if Borland-style bitmaps are shown on the dialog buttons.

type

Boolean

stage

design time 	run time

access

read 	write


QueryInfo property

References the TQueryInfo component to use on execution (must be assigned before Execute is called).

type

TQueryInfo

stage

design time 	run time

access

read 	write


ArrowColor property
AscArrowColor, DescArrowColor properties

The color of the order direction arrows. Set depending on the list box selection band color.

type

TColor

stage

design time 	run time

access

read 	write


ModalResult property

Stores the modal result of the dialog Execute call.

type

TModalResult

stage

run time only

access

read only


MaxItems property

Determines the maximum number of order items permitted. Default: 5.

type

Integer

stage

design time	run time

access

read 	write


SortFields property

Determines whether the available fields list is always sorted alphabetically.

type

Boolean

stage

design time	run time

access

read 	write